# $Revision: 1.11 $, $Date: 2011/10/06 13:50:33 $
# TODO:
# - split /usr/share/perl* part into perl-ack subpackage
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	ack
Summary:	grep-like text finder
Summary(pl.UTF-8):	produkt grepopodobny
Name:		ack
Version:	1.96
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/P/PE/PETDANCE/ack-%{version}.tar.gz
# Source0-md5:	21701fb5f4670181dbf6ebe47984634b
URL:		http://betterthangrep.com/
BuildRequires:	perl-File-Next
%{?with_tests:BuildRequires:	perl-Test-Pod}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-perldoc
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ack is designed as a replacement for 99% of the uses of grep.

Ack searches the named input FILEs (or standard input if no files are
named, or the file name - is given) for lines containing a match to
the given PATTERN. By default, ack prints the matching lines.

Ack can also list files that would be searched, without actually
searching them, to let you take advantage of ack's file-type filtering
capabilities.

%description -l pl.UTF-8
ack jest narzędziem podobnym do grepa, zaprojektowanym dla
programistów pracujących z dużymi drzewami różnorodnych plików.

ack jest napisane w czystym Perlu i korzysta z ptęgi wyrażeń
regularnych języka Perl.

%package -n perl-ack
Summary:	ack perl library
Summary(pl.UTF-8):	biblioteka ack dla języka perl
Group:		Development/Languages/Perl

%description -n perl-ack
ack perl library.

%description -n perl-ack -l pl.UTF-8
ack perl library.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.markdown TODO ack-help.txt ack-help-types.txt
%attr(755,root,root) %{_bindir}/ack
%{_mandir}/man1/ack.1p*

%files -n perl-ack
%defattr(644,root,root,755)
%{perl_vendorlib}/App/Ack.pm
%{perl_vendorlib}/App/Ack

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ack.spec,v $
Revision 1.11  2011/10/06 13:50:33  draenog
- up to 1.96

Revision 1.10  2010/12/11 15:32:05  draenog
- up to 1.94
- /usr/bin/ack contains all files from perl-ack

Revision 1.9  2010/11/16 11:16:34  pawelz
- release 3

Revision 1.8  2010/04/11 21:59:11  pawelz
- versioned internal dependency
- rel 2

Revision 1.7  2010/04/11 21:56:54  pawelz
- fix package name
- split library into subpackage

Revision 1.6  2010/04/11 21:56:09  pawelz
- there is no pld locale

Revision 1.5  2010/04/07 18:13:01  pawelz
- TODO: split /usr/share/perl* part into perl-ack subpackage

Revision 1.4  2010/04/04 19:35:01  pawelz
- up to 0.92
- merged perl-ack.spec

Revision 1.5  2010/01/21 14:40:05  sparky
- BR: perl-perldoc

Revision 1.4  2010/01/21 09:55:17  amateja
- updated to 1.92

Revision 1.3  2009/11/30 21:08:48  draenog
- correct arch and license

Revision 1.2  2009/11/30 21:00:35  draenog
- cosmetics

Revision 1.1  2009/11/30 20:56:59  draenog
- initial release
